ZipArchive class required in order to unzip the file

Discussion in 'Common issues' started by roland, Apr 20, 2017.

  1. roland

    roland Member

    Joined:
    Oct 23, 2016
    Messages:
    38
    Likes Received:
    1
    S.E:
    Expired
    L.T:
    Regular
    L.C:
    1
    Hello,
    I uplod a zip extension and I have this error "ZipArchive class required in order to unzip the file"
    I use this command line :
    yum install php-zip
    I have this : .....

    vesta | 2.9 kB 00:00
    Package php-pecl-zip-1.14.0-1.el6.remi.5.6.x86_64 already installed and latest v ersion
    Nothing to do

    Then : service httpd restart

    But that not works, I have always the same error.
     
  2. twisted1919

    twisted1919 Administrator Staff Member

    Joined:
    Dec 27, 2014
    Messages:
    10,176
    Likes Received:
    2,362
    @roland - maybe the zip class is listed in the list of disabled classes in php.ini ?
    Eitherway, if mailwizz says the class is missing, it means it's missing, either because it is not enabled (even though is installed) or because it it's classes are disabled.
     
  3. roland

    roland Member

    Joined:
    Oct 23, 2016
    Messages:
    38
    Likes Received:
    1
    S.E:
    Expired
    L.T:
    Regular
    L.C:
    1
    I resolved the problem.
    I go in WHM : Home ┬╗Software ┬╗EasyApache 4
    And I install php-zip
     
  4. roland

    roland Member

    Joined:
    Oct 23, 2016
    Messages:
    38
    Likes Received:
    1
    S.E:
    Expired
    L.T:
    Regular
    L.C:
    1
    When Upload the zip I have this success message :"Your extension has been successfully uploaded!"
    but I don't found the extension in the list to enable it. I refresh, no thing.
     
  5. Dev1@OptiBiz1

    Dev1@OptiBiz1 Member

    Joined:
    Feb 17, 2016
    Messages:
    41
    Likes Received:
    10
    Check in /apps/extensions/ and see if the extension you uploaded is there.
    If it's there, make sure the extension dir name is relative with bootstrap extension php.

    so if the extension you uploaded has the directory named "my-extension" then make sure the bootstrap php class of the extension is named "MyExtensionExt.php"
     
  6. twisted1919

    twisted1919 Administrator Staff Member

    Joined:
    Dec 27, 2014
    Messages:
    10,176
    Likes Received:
    2,362
    What extension?
     
  7. roland

    roland Member

    Joined:
    Oct 23, 2016
    Messages:
    38
    Likes Received:
    1
    S.E:
    Expired
    L.T:
    Regular
    L.C:
    1
    @Dev1@OptiBiz1 Yes I have the file CallMeExt.php in /apps/extensions/
    @twisted1919 extension CallMe, customers can click on a button to be called by phone to give them support.
     
  8. twisted1919

    twisted1919 Administrator Staff Member

    Joined:
    Dec 27, 2014
    Messages:
    10,176
    Likes Received:
    2,362
    @roland - i think best is to contact the developer of the extension and see what the deal is. If the extension is properly created, it will work just fine.
     
    wissem likes this.
  9. roland

    roland Member

    Joined:
    Oct 23, 2016
    Messages:
    38
    Likes Received:
    1
    S.E:
    Expired
    L.T:
    Regular
    L.C:
    1
    It works properly in his mailwizz. but not in mine.
     

Share This Page